# Download transactional tax

Retrieves a ready-generated <a href="https://docs.solidgate.com/billing/taxes/tax-insights/#tax-reports" target="_blank">transactional tax</a> report CSV.
<blockquote>
<p>Send the request and, if the file exists, you get a short-lived pre-signed S3 URL that immediately starts the download.</p>
</blockquote>

Endpoint: GET /transactional/report/{report_id}/download
Version: 1.0.0
Security: MerchantID

## Path parameters:

  - `report_id` (string, required)
    Unique report identifier for download.

<blockquote>
  <p>It follows the pattern [report_prefix] [date (yyMMdd)] [time (HHmmss)] [channel name].</p>
</blockquote>

## Header parameters:

  - `merchant` (string, required)

  - `signature` (string, required)

## Response 200 fields (application/json):

  - `report_url` (string)
    URL for the report stored on Amazon S3, which needs to be downloaded.
    Example: https://reports.solidgate.com/api/v1/tax/transactional/report/tax_transactional_250702_140728/download

  - `error` (object, required)
    Error object.

  - `error.code` (string, required)
    Unauthorized access due to invalid credentials.
    Example: 1.01

  - `error.messages` (array, required)
    Array of error messages applied to the decline payment.

